hive-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From sanjeev <vanj...@yahoo.co.in>
Subject Re: Metastore Schema Upgrade : 'ALTER TABLE' cannot be performed on 'COMPACTION_QUEUE' because it does not exist
Date Sun, 08 Jan 2017 03:28:48 GMT

Thanks Eugene.
As it was an upgrade from 1.2.0 to 2.1.0 , I preferred to use the intermediate version 1.3.0
script ("hive-txn-schema-1.3.0.derby.sql")
Had to include it in the script: upgrade-1.2.0-to-2.0.0.derby.sql. Also had to manually check
all other *HIVE* sqls in it and comment out the redundant ones.
It works fine now.

RegardsSanjeev V  

    On Saturday, 7 January 2017 6:22 PM, Eugene Koifman <ekoifman@hortonworks.com> wrote:
 

 #yiv7842000652 #yiv7842000652 -- _filtered #yiv7842000652 {panose-1:2 4 5 3 5 4 6 3 2 4;}
_filtered #yiv7842000652 {font-family:Calibri;panose-1:2 15 5 2 2 2 4 3 2 4;} _filtered #yiv7842000652
{font-family:HelveticaNeue;}#yiv7842000652 #yiv7842000652 p.yiv7842000652MsoNormal, #yiv7842000652
li.yiv7842000652MsoNormal, #yiv7842000652 div.yiv7842000652MsoNormal {margin:0in;margin-bottom:.0001pt;font-size:12.0pt;}#yiv7842000652
a:link, #yiv7842000652 span.yiv7842000652MsoHyperlink {color:#0563C1;text-decoration:underline;}#yiv7842000652
a:visited, #yiv7842000652 span.yiv7842000652MsoHyperlinkFollowed {color:#954F72;text-decoration:underline;}#yiv7842000652
span.yiv7842000652EmailStyle17 {font-family:Calibri;color:windowtext;}#yiv7842000652 span.yiv7842000652msoIns
{text-decoration:underline;color:teal;}#yiv7842000652 .yiv7842000652MsoChpDefault {font-size:10.0pt;}
_filtered #yiv7842000652 {margin:1.0in 1.0in 1.0in 1.0in;}#yiv7842000652 div.yiv7842000652WordSection1
{}#yiv7842000652 This table is defined in hive-txn-schema-2.1.0.derby.sql     From: sanjeev
<vanjeev@yahoo.co.in>
Reply-To: "user@hive.apache.org" <user@hive.apache.org>
Date: Saturday, January 7, 2017 at 8:12 AM
To: "user@hive.apache.org" <user@hive.apache.org>
Subject: Metastore Schema Upgrade : 'ALTER TABLE' cannot be performed on 'COMPACTION_QUEUE'
because it does not exist       Hi    I am trying to upgrade metastore schema from 1.2.0
to 2.1.1 using the schematool by command: schematool -dbType derby -upgradeSchemaFrom 1.2.0
   Getting an error:    SLF4J: Actual binding is of type [org.apache.logging.slf4j.Log4jLoggerFactory]
Metastore connection URL:        jdbc:derby:;databaseName=metastore_db;create=true
Metastore Connection Driver :    org.apache.derby.jdbc.EmbeddedDriver
Metastore connection User:       APP
Starting upgrade metastore schema from version 1.2.0 to 2.1.0
Upgrade script upgrade-1.2.0-to-2.0.0.derby.sql
Error: 'ALTER TABLE' cannot be performed on 'COMPACTION_QUEUE' because it does not exist.
(state=42Y55,code=30000)
org.apache.hadoop.hive.metastore.HiveMetaException: Upgrade FAILED! Metastore state would
be inconsistent !!
Underlying cause: java.io.IOException : Schema script failed, errorcode 2
Use --verbose for detailed stacktrace.    Is it advisable to comment out the specific 'ALTER
TABLE' in the script and retry ? If not, can you help with the way forward.    Regards Sanjeev
V 

   
Mime
View raw message